Package org.springframework.jdbc.core.simple

# Interface JdbcClient.ResultQuerySpec

Enclosing interface:
  JdbcClient

public static interface JdbcClient.ResultQuerySpec
A specification for simple result queries.

## Method Summary

Modifier and Type
Method
Description
`List<Map<String,Object>>`
`listOfRows()`
Retrieve the result as a list of rows, retaining the order from the original database result.
`default Optional<Object>`
`optionalValue()`
Retrieve a single value result, if available, as an `Optional` handle.
`SqlRowSet`
`rowSet()`
Retrieve the result as a row set.
`List<Object>`
`singleColumn()`
Retrieve a single column result, retaining the order from the original database result.
`Map<String,Object>`
`singleRow()`
Retrieve a single row result.
`default Object`
`singleValue()`
Retrieve a single value result.

## Method Details

### rowSet

SqlRowSet rowSet()
Retrieve the result as a row set.

Returns:
  a detached row set representation of the original database result

### listOfRows

List<Map<String,Object>> listOfRows()
Retrieve the result as a list of rows, retaining the order from the original database result.

Returns:
  a (potentially empty) list of rows, with each result row represented as a map of case-insensitive column names to column values

### singleRow

Map<String,Object> singleRow()
Retrieve a single row result.

Returns:
  the result row represented as a map of case-insensitive column names to column values

### singleColumn

List<Object> singleColumn()
Retrieve a single column result, retaining the order from the original database result.

Returns:
  a (potentially empty) list of rows, with each row represented as its single column value

### singleValue

default Object singleValue()
Retrieve a single value result.

Note: As of 6.2, this will enforce non-null result values as originally designed (just accidentally not enforced before). (never `null`)

See Also:
  - `optionalValue()`
  - `DataAccessUtils.requiredSingleResult(Collection)`

### optionalValue

default Optional<Object> optionalValue()
Retrieve a single value result, if available, as an `Optional` handle.

Returns:
  an Optional handle with the single column value from the single row
Since:
  6.2
See Also:
  - `singleValue()`
  - `DataAccessUtils.optionalResult(Collection)`